import os
import os.path as osp

from tqdm import tqdm

from config import img_slice_path, lab_slice_path

img_names = os.listdir(img_slice_path)
lab_names = os.listdir(lab_slice_path)
img_names.sort()
lab_names.sort()

img_fdr_name = osp.basename(osp.dirname(img_slice_path))
lab_fdr_name = osp.basename(osp.dirname(lab_slice_path))

base_path = osp.dirname(osp.dirname(img_slice_path))
files = [open(osp.join(base_path, f"{n}_list.txt"), "w") for n in ["train", "val", "test"]]
split = [0, 0.7, 0.9, 1]
split_idx = 0

split = [int(s * len(img_names)) for s in split]
# print(split)

for idx in tqdm(range(len(img_names))):
    print(
        osp.join(img_fdr_name, img_names[idx]),
        osp.join(lab_fdr_name, lab_names[idx]),
        file=files[split_idx],
    )
    if idx == split[split_idx + 1]:
        split_idx += 1

for f in files:
    f.close()

print("background\nliver", file=open(osp.join(base_path, "labels.txt"), "w"))
