import SimpleITK as sitk
import numpy as np

def load_nii(path):
    itkimage = sitk.ReadImage(path) # 读取图像
    itkimage = sitk.DICOMOrient(itkimage, "LPS") # 体位矫正，没有这行图像可能在肚子到后背的这个平面，就是我们截取的这个平面内有90,180,270的旋转
    volume = sitk.GetArrayFromImage(itkimage)
    return volume # 第一个维度是片层数，第2 3个是宽和高


# ct扫描正常的数据范围是-几千到+几千，但是我们关注的组织一般都有一个比较小，而且比较固定的强度范围。将一个更小的范围内的数据拉伸到0～255可以帮助大夫和网络更好的判断和进行分割。这个效果你用itksnap调一调contrast就能看出来。contrast在 tools->layer inspector->contrast
# 注意训练和推理的wwwc要一样
def wwwc(volume, ww=600.0, wc=0.0):
    volume = volume.astype("float16")
    wl = wc - ww / 2
    wh = wc + ww / 2
    volume = np.clip(volume, wl, wh)
    volume -= wl
    volume = volume / ww * 255
    return volume
