import pathlib
from setuptools import setup, find_packages, Extension

HERE = pathlib.Path(__file__).parent

README = (HERE / "README.md").read_text(encoding="utf-8")


with open("requirements.txt", "r") as fin:
    REQUIRED_PACKAGES = fin.read()

setup(
    name="axy-liverseg",
    version=open((HERE / "version"), "r").read().strip(),
    description="Liver Segmentation GUI",
    long_description=README,
    long_description_content_type="text/markdown",
    url="",
    author="Xiaoying Ai",
    author_email="",
    license="Apache Software License",
    classifiers=[
        "License :: OSI Approved :: Apache Software License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
    ],
    packages=find_packages(exclude=("test", "tool")),
    include_package_data=True,
    install_requires=REQUIRED_PACKAGES,
    entry_points={
        "console_scripts": [
            "liverseg=liver_seg.app:main",
        ]
    },
)
